function [S_ss] = NL_Sensitivity_b(alpha, beta, g, h, nominalX,F,f)

%%%%%%%%% Synthetic Network Parameter Calculation

[n,m]=size(g);
Gsn=g;
Hsn=h; 
for k=1:n
    for p=1:n
        if Gsn(k,p)==0
            Hsn(k,p) = Hsn(k,p)-F(k,p);
        else
            Gsn(k,p) = Gsn(k,p)+F(k,p);
        end
    end
end

g=Gsn;
h=Hsn;

nominalX(n+1:end)= nominalX(n+1:end).*exp(f);


Ad = g(: , 1:n) - h (: , 1:n);                         %%% System Matrix 
Ai = g ( : , n+1:end ) - h ( : , n+1:end );            %%%   Interaction Matrix  %%%
b=log(beta./alpha);
Xi = nominalX(n+1:end);% Nominal value of independent variables
Yi = log(Xi);
Yd=inv(Ad)*(b-Ai*Yi);
nominalX(1:n)=exp(Yd);

P=alpha;
D=beta;
x=nominalX;
for i=1:n
    for j=1:m
        P(i)=P(i)*(x(j)^g(i,j));
    end
end

for i=1:n
    for j=1:m
        D(i)=D(i)*(x(j)^h(i,j));
    end
end

Del_f_x=zeros(n);

for i=1:n
    Del_f_x(i,:)=[(1/x(1))*(g(i,1)*P(i) -h(i,1)*D(i))  (1/x(2))*(g(i,2)*P(i) -h(i,2)*D(i))   (1/x(3))*(g(i,3)*P(i) -h(i,3)*D(i)) ...
                  (1/x(4))*(g(i,4)*P(i) -h(i,4)*D(i))    (1/x(5))*(g(i,5)*P(i) -h(i,5)*D(i))  ];
end

Del_f_alpha=zeros(n,n);

for i=1:n
    Del_f_alpha(i,i)=(1/alpha(i))*P(i);
end

Del_f_beta=zeros(n,n);

for i=1:n
    Del_f_beta(i,i)=(-1/beta(i))*D(i);
end


Del_f_lamda=[ Del_f_alpha Del_f_beta];

S_ss=-inv(Del_f_x)*Del_f_lamda;

end

%% End of function %%%%%%%%%%