function[P, F, f_optim, s1, s2, s3 ,s4, s5  ]= findSynthParams(Ai, Ad, Yi, Ysr, Yd, wt, k)

 E=Ad*(Ysr-Yd);
 setlmis([]);
     
 m1 = size(Ad,1);
 m2 = size(Ai,2);
 f_pos=eye(m2);


 
    
 x=zeros(m1);

 [row,col]=find(Ad);
 cn=size(row,1);
    
  for r=1:cn
      x(row(r),col(r)) =lmivar(1, [ 1 1]);
  end
 
  
 F= lmivar (3, x  );   %%%% Type2 Full Rectangular
 
 f_index = [19; 0;  20;  21; 0; 0; 0; 0; 0];
 f = lmivar(3,f_index);
  
 f_max =  (realmin)*ones(1,m2);  

 f_min = -f_max; %%% f_min
 
 Yi_LIMIT = 0.5;
 for jj = 1 : m2
     if f_index(jj) 
         f_max(jj) = +(Yi_LIMIT*Yi(jj));
         f_min(jj) = -f_max(jj);
         
     end
 end


%%%%%% Diagonal matrix
P=lmivar(1,[1 1; 1 1; 1 1; 1 1; 1 1]);
%%%%%%% Symmetric matrix 
%P = lmivar(1,[5,1]);
   

 s1=lmivar(1,[1 1]);
 
 s2=lmivar(1,[1 1]);
 s3=lmivar(1,[1 1]);
 s4=lmivar(1,[1 1]);
 s5=lmivar(1,[1 1]);
 
 LM=1;   
%%%%%%%%%%%%%%%  Define LMI term LMI 1  %%%%

%%%%%%%%% LMI1
  lmiterm([-LM 1 1 F],1,Ad','s');                   % LMI #3: F*Ad'+Ad*F'
  lmiterm([-LM 1 1 0],Ad*Ad');                      % LMI #3: Ad*Ad'
  lmiterm([-LM 2 1 0],1);                           % LMI #3: 1
  lmiterm([-LM 2 2 s1],1,1);                        % LMI #3: s1

  LM=LM+1;
  newlmi;
%%%%%%%%%%% LMI2  
  lmiterm([-LM 1 1 s2],1,1);                     
  lmiterm([-LM 2 1 F],1,Ysr);                      
  lmiterm([-LM 2 1 f],Ai,1);                       
  lmiterm([-LM 2 1 0],E);                          
  lmiterm([-LM 2 2 0],1);                          
  
  LM=LM+1;
  newlmi;
%%%%%%%%%%% LMI3  
  lmiterm([-LM 1 1 s3],1,1);                   
  lmiterm([-LM 2 1 f],1,1);                        
  lmiterm([-LM 2 1 0],Yi);                         
  lmiterm([-LM 2 2 0],1);      

  LM=LM+1;
  newlmi;

  %%%%%  LMI 4
  lmiterm([-LM 1 1 s4],1,1);                   
  lmiterm([-LM 2 1 f],1,1);                        
  lmiterm([-LM 2 2 0],1);          
                     
  LM=LM+1;
  newlmi;
  
%%%%%%%%% LMI 5
  lmiterm([-LM 1 1 s5],1,1);                       % LMI #4: s2
  lmiterm([-LM 2 1 F],1,1);                        % LMI #4: F
  lmiterm([-LM 2 2 0],1);                          % LMI #4: 1              
  
  LM=LM+1;
  newlmi;
  %% LMI6

  lmiterm([  LM 1 1  0 ] ,-Ad'*Ad);
  lmiterm([ LM 1 1 F], -Ad',1,'s');
  lmiterm ( [ LM 2 1 0 ], Ad);
  lmiterm ( [ LM 2 1  F], 1 , 1);     %%%%%  F
  lmiterm ( [ LM 2 1 P ], 1 , 1);     %%%%%  F
  lmiterm ( [LM 2 2  0], -1)

  LM=LM+1;
  newlmi;
%%%%%%%%%%%%%%% LMI7
  lmiterm([-LM 1 1 P],0.5,1,'s');
  

for j=1:m2  
    if f_index(j)
        LM=LM+1;
        newlmi;
        lmiterm([LM 1 1 0], f_min(j));
        lmiterm([-LM 1 1 f],f_pos(j,:),0.5,'s');
  
        LM=LM+1;
        newlmi;
        lmiterm([LM 1 1 f],f_pos(j,:),0.5,'s');
        lmiterm([-LM 1 1 0], f_max(j));
    end
end
   
   
finalLMI = getlmis;

% C1=10^0;
% C2=2;C3=10^0;
% C4=10^0;C5=10^0;

C1=wt/(k+2);
C2=k*wt/(k+2);C3=wt/(k+2);
C4=(1-wt)/2;C5=(1-wt)/2;

c=[zeros(1,26) C1 C2 C3 C4 C5];

[copt, xfeas] = mincx (finalLMI, c);

%[copt, xfeas] = feasp(finalLMI);

s1 = sqrt(dec2mat(finalLMI,xfeas,s1)) ; %%% SS Error and robustness
s2 = sqrt(dec2mat(finalLMI,xfeas,s2)) ; %%% Error 
s3= sqrt(dec2mat(finalLMI,xfeas,s3));
s4= sqrt(dec2mat(finalLMI,xfeas,s4));
s5= sqrt(dec2mat(finalLMI,xfeas,s5));


P = dec2mat(finalLMI,xfeas,P);    

F = dec2mat(finalLMI,xfeas,F);

f_optim = dec2mat(finalLMI,xfeas,f);

return

%% End of function %%%%%%%%%%